cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c	Program cpt_grimm_30.f
c		Vincent Lesur 29/04/2008
c
c       Computes the GRIMM-3 model at a given time, co-lat, 
c       longitude east and radius
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
	program cpt_grimm_30
c
        use grimm_30
c
        implicit none
c
        integer nbm
        parameter (nbm=50000)
c
        integer nb
        real*8  bc(nbm),clt,dln,rad,dt,dx,dy,dz,df
        real*8 dt1,dt2
        integer i,j,k,iy,id,ih,im
        real*8  stplt,stpln,djd,ds
c
        character*15 thdt
c
        dx=0.0d0
        dy=0.0d0
        dz=0.0d0
        df=0.0d0
c
c  Set initial values
        call init_grimm_30(nb,bc)
c
c  Choose model characteristic
        yoncg='y'	!core field
        yonlg='n'	!lithosphere field
        iltg=13         !truncation SH degree for internal field
        idrvg=0         !calculate the 0th derivative
c
c  read radius, etc....
        write(*,'(A,$)')'Input radius in km (e.g. 6371.2 km): '
        read(*,*)rad
        write(*,'(A,$)')'Input geocentric co-latitude in degrees : '
        read(*,*)clt
        write(*,'(A,$)')'Input geocentric longitude east in degrees : '
        read(*,*)dln
        write(*,'(A,$)')'Input date in decimal years : '
        read(*,*)dt
c
c  Calculate grimm values
        call forward_grimm_30(nb,bc,clt,dln,rad,dt,dx,dy,dz,df)
c
        write(*,*)
        write(*,'(A,f10.3)')'X= ',dx
        write(*,'(A,f10.3)')'Y= ',dy
        write(*,'(A,f10.3)')'Z= ',dz
        write(*,'(A,f10.3)')'F= ',df
        write(*,*)
c
        stop
        end
