cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c	Program map_grimm_30.f
c		Vincent Lesur 29/04/2008
c
c       Computes the GRIMM-3 model at a given time on a ragular grid
c       with a given radius
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
	program map_grimm_30
c
        use grimm_30
c
        implicit none
c
        integer nbm
        parameter (nbm=50000)
c
        integer nb,i,j
        real*8  bc(nbm),clt,dln,rad,dt,dx,dy,dz,df
c
c  Set initial values
        call init_grimm_30(nb,bc)
c
c  Choose model characteristic
        yoncg='y'	!core field
        yonlg='n'	!lithosphere field
        iltg=16         !truncation SH degree for internal field
c       idrvg=2         ! calculate the 2nd derivative
c
c  read radius, etc....
        write(*,'(A,$)')'Input radius in km (e.g. 6371.2 km): '
        read(*,*)rad
        write(*,'(A,$)')'Input date in decimal years : '
        read(*,*)dt
        write(*,'(A,$)')'Input model time derivative : '
        read(*,*)idrvg
c
c  Open output file
        open(unit=11,file='map_grimm_30.out')
c
c  Loop over grid points 2 degree appart
          do i=1,179,2
            do j=1,360,2
c
               clt=dble(i)      !Co-latitudes in degrees
               dln=dble(j)      !Longitudes in degrees
c
c  Calculate grimm values
               dx=0.0d0
               dy=0.0d0
               dz=0.0d0
               df=0.0d0
               call forward_grimm_30(nb,bc,clt,dln,rad,dt,dx,dy,dz,df)
c  Write values
               write(11,'(6e15.7)')90.d0-clt,dln,dx,dy,dz,df
            enddo
          enddo
c
c  Close output file
        close(11)
c
        stop
        end
